Subject: JMP> Re: JobID Table Indexing [change to IMPLIED jmJobSubmissionIDIndex]

From: Tom Hastings <[email-masked]>
Date: Tue, 6 May 1997 12:10:02 PDT

At 16:45 05/05/97 PDT, Harry Lewis wrote:
>Tom, in v1, there were inconsistent implementations when using strings as an
>index. In some cases, the octet string would be preceded by it's length
>
> e.g. get-request jmJobIndex.5.h.a.r.r.y
>
>In other cases, the length of the  octet string would be IMPLIED by
>the length of the OID, so the 'length' indication wasn't included.
>
>      get-request jmJobIndex.h.a.r.r.y
>
>I think v2 tried to address this inconsistency by Adding 'IMPLIED'
>to the declaration which clearly indicates the 'length' should be omitted.
>
>     jmJobIDEntry  OBJECT-TYPE
>       ...
>       INDEX { IMPLIED jmJobSubmissionIDIndex }
>       ...
>
>I would like to request that you change the definition of jmJobIDEntry as such.
>
>Harry Lewis - IBM Printing Systems
>
>

I made the change to add IMPLIED, and it compiles with the compilers 
that are doing the 1400 series SMIv2, so it shouldn't cause anyone any 
problems.

However, in order to get the SMICng compiler to accept it, I had to
change the lower bound on the jmJobSubmissionIDIndex OCTET STRING index 
from 0 to 1, which seems like a good idea anyway.

So I've made the change in the next version, unless anyone objects.

ISSUE:
Should we add a sentence explaining that the length shall not be included
in the OCTET STRING, or is that well known, given the IMPLIED statement?

Thanks,
Tom